> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a bank account

> 
 Validates the provided bank account details. You can use this before you [create a recipient](https://docs.equalsmoney.com/openapi/em-budgets/operation/validateRecipient/).

   By default, this endpoint isn't enabled. If you'd like to use it, please contact us.
    



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json post /recipients/validate/account
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /recipients/validate/account:
    post:
      tags:
        - Recipients
      summary: Validate a bank account
      description: |2-

         Validates the provided bank account details. You can use this before you [create a recipient](https://docs.equalsmoney.com/openapi/em-budgets/operation/validateRecipient/).

           By default, this endpoint isn't enabled. If you'd like to use it, please contact us.
            
      operationId: validateBankAccount
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: include
          in: query
          schema:
            description: Comma-separated list of fields to include in the response.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - paymentNetworkDetails
            enum:
              - paymentNetworkDetails
            example: paymentNetworkDetails
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                country:
                  type:
                    - string
                  maxLength: 2
                  description: The country, in ISO 3166-1 alpha-2 format.
                  example: GB
                iban:
                  type:
                    - string
                    - 'null'
                  description: The International Bank Account Number (IBAN).
                  example: PK94XAOM0400102322019126
                number:
                  type:
                    - string
                    - 'null'
                  description: The bank account number.
                  example: '55555555'
                code:
                  type:
                    - string
                    - 'null'
                  description: The bank sort code.
                  example: 12-34-56
              required:
                - country
              example:
                country: GB
                iban: PK94XAOM0400102322019126
                number: '55555555'
                code: 12-34-56
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  countryCode:
                    type:
                      - string
                      - 'null'
                    example: GB
                  nationalId:
                    type:
                      - string
                      - 'null'
                  accountNumber:
                    type:
                      - string
                      - 'null'
                  status:
                    type:
                      - string
                      - 'null'
                    example: PASS
                  comment:
                    type:
                      - string
                      - 'null'
                  recommendedNatId:
                    type:
                      - string
                      - 'null'
                  recommendedAcct:
                    type:
                      - string
                      - 'null'
                  recommendedBIC:
                    type:
                      - string
                      - 'null'
                  ref:
                    type:
                      - string
                      - 'null'
                  group:
                    type:
                      - string
                      - 'null'
                  branchDetails:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - object
                      properties:
                        bankName:
                          type:
                            - string
                            - 'null'
                          description: The name of the bank.
                          example: Barclays Bank
                        branch:
                          type:
                            - string
                            - 'null'
                          description: The branch of the bank.
                          example: London
                        street:
                          type:
                            - string
                            - 'null'
                          description: The street of the bank.
                          example: 1 Churchill Place
                        city:
                          type:
                            - string
                            - 'null'
                          description: The city of the bank.
                          example: London
                        postZip:
                          type:
                            - string
                            - 'null'
                          description: The postcode of the bank.
                          example: E14 5HP
                        region:
                          type:
                            - string
                            - 'null'
                          description: The region of the bank.
                          example: London
                        country:
                          type:
                            - string
                            - 'null'
                          description: The country of the bank.
                          example: UK
                        codeDetails:
                          type:
                            - object
                            - 'null'
                          properties:
                            codeName1:
                              type:
                                - string
                                - 'null'
                            codeValue1:
                              type:
                                - string
                                - 'null'
                            codeName2:
                              type:
                                - string
                                - 'null'
                            codeValue2:
                              type:
                                - string
                                - 'null'
                            codeName3:
                              type:
                                - string
                                - 'null'
                            codeValue3:
                              type:
                                - string
                                - 'null'
                            codeName4:
                              type:
                                - string
                                - 'null'
                            codeValue4:
                              type:
                                - string
                                - 'null'
                        additionalData:
                          type:
                            - object
                            - 'null'
                          properties:
                            ssiAvailable:
                              type:
                                - string
                                - 'null'
                              example: 'Y'
                            payServiceAvailable:
                              type:
                                - string
                                - 'null'
                              example: 'Y'
                            contactsAvailable:
                              type:
                                - string
                                - 'null'
                              example: 'N'
                            messageAvailable:
                              type:
                                - string
                                - 'null'
                              example: 'N'
                            holidayAvailable:
                              type:
                                - string
                                - 'null'
                              example: 'Y'
                            sepaDetails:
                              type:
                                - object
                                - 'null'
                              properties:
                                ctStatus:
                                  type:
                                    - string
                                    - 'null'
                                  example: 'NO'
                                ddStatus:
                                  type:
                                    - string
                                    - 'null'
                                  example: 'NO'
                                bbStatus:
                                  type:
                                    - string
                                    - 'null'
                                  example: 'NO'
                            bankToken:
                              type:
                                - string
                                - 'null'
                            branchTypeLabel:
                              type:
                                - string
                                - 'null'
                  headOfficeDetails:
                    type:
                      - object
                      - 'null'
                    properties:
                      bankName:
                        type:
                          - string
                          - 'null'
                        description: The name of the bank.
                        example: Barclays Bank
                      branch:
                        type:
                          - string
                          - 'null'
                        description: The branch of the bank.
                        example: London
                      street:
                        type:
                          - string
                          - 'null'
                        description: The street of the bank.
                        example: 1 Churchill Place
                      city:
                        type:
                          - string
                          - 'null'
                        description: The city of the bank.
                        example: London
                      postZip:
                        type:
                          - string
                          - 'null'
                        description: The postcode of the bank.
                        example: E14 5HP
                      region:
                        type:
                          - string
                          - 'null'
                        description: The region of the bank.
                        example: London
                      country:
                        type:
                          - string
                          - 'null'
                        description: The country of the bank.
                        example: UK
                      codeDetails:
                        type:
                          - object
                          - 'null'
                        properties:
                          codeName1:
                            type:
                              - string
                              - 'null'
                          codeValue1:
                            type:
                              - string
                              - 'null'
                          codeName2:
                            type:
                              - string
                              - 'null'
                          codeValue2:
                            type:
                              - string
                              - 'null'
                          codeName3:
                            type:
                              - string
                              - 'null'
                          codeValue3:
                            type:
                              - string
                              - 'null'
                          codeName4:
                            type:
                              - string
                              - 'null'
                          codeValue4:
                            type:
                              - string
                              - 'null'
                      additionalData:
                        type:
                          - object
                          - 'null'
                        properties:
                          ssiAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'Y'
                          payServiceAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'Y'
                          contactsAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'N'
                          messageAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'N'
                          holidayAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'Y'
                          sepaDetails:
                            type:
                              - object
                              - 'null'
                            properties:
                              ctStatus:
                                type:
                                  - string
                                  - 'null'
                                example: 'NO'
                              ddStatus:
                                type:
                                  - string
                                  - 'null'
                                example: 'NO'
                              bbStatus:
                                type:
                                  - string
                                  - 'null'
                                example: 'NO'
                          bankToken:
                            type:
                              - string
                              - 'null'
                          branchTypeLabel:
                            type:
                              - string
                              - 'null'
                  paymentBicDetails:
                    type:
                      - object
                      - 'null'
                    properties:
                      bankName:
                        type:
                          - string
                          - 'null'
                        description: The name of the bank.
                        example: Barclays Bank
                      branch:
                        type:
                          - string
                          - 'null'
                        description: The branch of the bank.
                        example: London
                      street:
                        type:
                          - string
                          - 'null'
                        description: The street of the bank.
                        example: 1 Churchill Place
                      city:
                        type:
                          - string
                          - 'null'
                        description: The city of the bank.
                        example: London
                      postZip:
                        type:
                          - string
                          - 'null'
                        description: The postcode of the bank.
                        example: E14 5HP
                      region:
                        type:
                          - string
                          - 'null'
                        description: The region of the bank.
                        example: London
                      country:
                        type:
                          - string
                          - 'null'
                        description: The country of the bank.
                        example: UK
                      codeDetails:
                        type:
                          - object
                          - 'null'
                        properties:
                          codeName1:
                            type:
                              - string
                              - 'null'
                          codeValue1:
                            type:
                              - string
                              - 'null'
                          codeName2:
                            type:
                              - string
                              - 'null'
                          codeValue2:
                            type:
                              - string
                              - 'null'
                          codeName3:
                            type:
                              - string
                              - 'null'
                          codeValue3:
                            type:
                              - string
                              - 'null'
                          codeName4:
                            type:
                              - string
                              - 'null'
                          codeValue4:
                            type:
                              - string
                              - 'null'
                      additionalData:
                        type:
                          - object
                          - 'null'
                        properties:
                          ssiAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'Y'
                          payServiceAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'Y'
                          contactsAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'N'
                          messageAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'N'
                          holidayAvailable:
                            type:
                              - string
                              - 'null'
                            example: 'Y'
                          sepaDetails:
                            type:
                              - object
                              - 'null'
                            properties:
                              ctStatus:
                                type:
                                  - string
                                  - 'null'
                                example: 'NO'
                              ddStatus:
                                type:
                                  - string
                                  - 'null'
                                example: 'NO'
                              bbStatus:
                                type:
                                  - string
                                  - 'null'
                                example: 'NO'
                          bankToken:
                            type:
                              - string
                              - 'null'
                          branchTypeLabel:
                            type:
                              - string
                              - 'null'
                  paymentNetworkDetails:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        paymentNetwork:
                          type:
                            - string
                          enum:
                            - SWIFT
                            - SEPA.INSTANT
                            - SEPA.CREDITTRANSFER
                            - CHAPS
                            - UKFPS
                            - ACH
                            - WIRETRANSFER
                            - OFF_PLATFORM
                            - NIP
                        participantId:
                          type:
                            - string
                          description: The ID of the participant bank.
                        participantName:
                          type:
                            - string
                          description: The name of the participant bank.
                        currencyCode:
                          type:
                            - string
                            - 'null'
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - ANG
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BGN
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHF
                            - CLP
                            - CNY
                            - COP
                            - CRC
                            - CUC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GGP
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HRK
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LTL
                            - LVL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SEK
                            - SGD
                            - SHN
                            - SLL
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - UYU
                            - UZS
                            - VND
                            - VUV
                            - WST
                            - XAF
                            - XAG
                            - XAU
                            - XCD
                            - XOF
                            - XPD
                            - XPF
                            - XPT
                            - YER
                            - ZAR
                            - ZMK
                            - ZMW
                            - ZWD
                          description: >-
                            The currency code associated with the payment
                            network.
                      required:
                        - paymentNetwork
                        - participantId
                        - participantName
                    description: >-
                      Provides a list of payment networks through which payments
                      can be sent to the validated account. Each entry includes
                      the network name and details of the participating
                      institution.
                  bic8:
                    type:
                      - string
                      - 'null'
                    example: 'N'
                  dataStore:
                    type:
                      - string
                      - 'null'
                    example: 'N'
                  noBranch:
                    type:
                      - string
                      - 'null'
                    example: 'N'
                  isoAddr:
                    type:
                      - string
                      - 'null'
                    example: 'N'
                  payBranchType:
                    type:
                      - string
                      - 'null'
                    example: D
                  freeToken:
                    type:
                      - string
                      - 'null'
                example:
                  countryCode: GB
                  nationalId: string
                  accountNumber: string
                  status: PASS
                  comment: string
                  recommendedNatId: string
                  recommendedAcct: string
                  recommendedBIC: string
                  ref: string
                  group: string
                  branchDetails:
                    - bankName: Barclays Bank
                      branch: London
                      street: 1 Churchill Place
                      city: London
                      postZip: E14 5HP
                      region: London
                      country: UK
                      codeDetails:
                        codeName1: string
                        codeValue1: string
                        codeName2: string
                        codeValue2: string
                        codeName3: string
                        codeValue3: string
                        codeName4: string
                        codeValue4: string
                      additionalData:
                        ssiAvailable: 'Y'
                        payServiceAvailable: 'Y'
                        contactsAvailable: 'N'
                        messageAvailable: 'N'
                        holidayAvailable: 'Y'
                        sepaDetails:
                          ctStatus: 'NO'
                          ddStatus: 'NO'
                          bbStatus: 'NO'
                        bankToken: string
                        branchTypeLabel: string
                  headOfficeDetails:
                    bankName: Barclays Bank
                    branch: London
                    street: 1 Churchill Place
                    city: London
                    postZip: E14 5HP
                    region: London
                    country: UK
                    codeDetails:
                      codeName1: string
                      codeValue1: string
                      codeName2: string
                      codeValue2: string
                      codeName3: string
                      codeValue3: string
                      codeName4: string
                      codeValue4: string
                    additionalData:
                      ssiAvailable: 'Y'
                      payServiceAvailable: 'Y'
                      contactsAvailable: 'N'
                      messageAvailable: 'N'
                      holidayAvailable: 'Y'
                      sepaDetails:
                        ctStatus: 'NO'
                        ddStatus: 'NO'
                        bbStatus: 'NO'
                      bankToken: string
                      branchTypeLabel: string
                  paymentBicDetails:
                    bankName: Barclays Bank
                    branch: London
                    street: 1 Churchill Place
                    city: London
                    postZip: E14 5HP
                    region: London
                    country: UK
                    codeDetails:
                      codeName1: string
                      codeValue1: string
                      codeName2: string
                      codeValue2: string
                      codeName3: string
                      codeValue3: string
                      codeName4: string
                      codeValue4: string
                    additionalData:
                      ssiAvailable: 'Y'
                      payServiceAvailable: 'Y'
                      contactsAvailable: 'N'
                      messageAvailable: 'N'
                      holidayAvailable: 'Y'
                      sepaDetails:
                        ctStatus: 'NO'
                        ddStatus: 'NO'
                        bbStatus: 'NO'
                      bankToken: string
                      branchTypeLabel: string
                  paymentNetworkDetails:
                    - paymentNetwork: SWIFT
                      participantId: string
                      participantName: string
                      currencyCode: AED
                  bic8: 'N'
                  dataStore: 'N'
                  noBranch: 'N'
                  isoAddr: 'N'
                  payBranchType: D
                  freeToken: string
      security:
        - CommonAuth:
            - recipients:validate:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/recipients/validate/account?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "country": "GB",
              "iban": "PK94XAOM0400102322019126",
              "number": "55555555",
              "code": "12-34-56"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````